Ticket #19 (closed defect: fixed)

Opened 10 years ago

Last modified 5 years ago

savannah: recursive "are same file"

Reported by: ossi Owned by: angel_il
Priority: major Milestone: 4.6.2
Component: mc-vfs Version: 4.6.1
Keywords: Cc:
Blocked By: Blocking:
Branch state: merged Votes for changeset:

Description (last modified by ossi) (diff)

This patch solve the trouble:
1) in panel select any dir
2) F5 (copy dialog)
3) in field copy to insert "."
4) done

we have error for some file in this subdir and no way leave.

Now show dialog with [ Abort ] [ Skip ] buttons.

Original: http://savannah.gnu.org/bugs/?13727

Submitted by:Oswald Buddenhagen <ossi>Submitted on:Mon 11 Jul 2005 03:34:08 PM UTC
Category:CoreSeverity:3 - Normal
Status:NonePrivacy:Public
Assigned to:NoneOpen/Closed:Open
Release:current (CVS or snapshot)Operating System:All

Original submission:

recently i accidentally entered "." instead of ".." in the file 
copy dialog on a relatively big tree ... for every f***ing file in 
the tree i got the "<foo> and <bar> are the same file" message box, 
without any way to escape except killing mc from the outside. 

Comment 1 by Pavel Tsekov <ptsekov> at Tue 12 Jul 2005 11:56:05 AM UTC:

What do you think should be done in this case ?

1) Silently ignore the fact and continue

2) Pop up a box with several choices

3) Something else

Comment 2 by Oswald Buddenhagen <ossi> at Tue 12 Jul 2005 12:53:06 PM UTC:

well, one could simply do this same-inode check on directories as 
well. this would give exactly the desired effect - one error 
message box (for the top-level directory) and bye bye.

Comment 3 by Pavel Tsekov <ptsekov> at Sat 19 May 2007 01:43:08 PM UTC:

Denis Vlasenko posted a patch which would fix this issue:

http://mail.gnome.org/archives/mc-devel/2007-May/msg00033.html

Attachments

mc_samefile_abort.diff (2.9 KB) - added by slavazanko 10 years ago.
patch that fix this bug
mc_samefile_abort.2.diff (3.6 KB) - added by angel_il 10 years ago.
0001-Denis-Vlasenko-posted-a-patch-which-would-fix-issue.patch (3.7 KB) - added by angel_il 10 years ago.
last version master based

Change History

Changed 10 years ago by slavazanko

patch that fix this bug

comment:1 Changed 10 years ago by winnie

  • Milestone set to 4.6.3

Changed 10 years ago by angel_il

Changed 10 years ago by angel_il

last version master based

comment:2 Changed 10 years ago by angel_il

  • Owner set to angel_il
  • Status changed from new to accepted
  • Description modified (diff)
  • Keywords review added

comment:3 Changed 10 years ago by angel_il

created branch 19_show_abort_skip_for_copy_error; parent branch: master

comment:4 Changed 10 years ago by andrew_b

src/file.c:

  • modified error messages for warn_same_file() function;
  • move_dir_dir(): fixed memory leak: destdir is not free'd when the same directory is copied;
  • move_dir_dir(): don't use the non-valid dbuf variable if mc_stat(d, &dbuf) returns non-zero.

Fixed types of file/dir operation functions.
All po/*po files are updated to sync with modified src/file.c file.

comment:5 Changed 10 years ago by slavazanko

  • Keywords vote-slavazanko added

cool. Looks good. 'Abort' action very useful in this case.
My vote here

comment:6 Changed 10 years ago by styx

  • Keywords vote-styx approved added; review removed

comment:7 Changed 10 years ago by angel_il

  • Status changed from accepted to assigned

comment:8 Changed 10 years ago by angel_il

  • Status changed from assigned to testing
  • Keywords commited-mc-4.6 added; vote-slavazanko vote-styx approved removed
  • Resolution set to fixed

comment:9 Changed 10 years ago by winnie

  • Status changed from testing to closed

comment:10 Changed 9 years ago by anonymous

  • Milestone 4.6.2.1 deleted

Milestone 4.6.2.1 deleted

comment:11 Changed 5 years ago by ossi

  • Reporter changed from slavazanko to ossi
  • Description modified (diff)
  • Branch state set to no branch
  • Milestone set to Future Releases

comment:12 Changed 5 years ago by andrew_b

  • Keywords commited-mc-4.6 removed
  • Version set to 4.6.1
  • Branch state changed from no branch to merged
  • Milestone changed from Future Releases to 4.6.2
Note: See TracTickets for help on using tickets.